package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.ConceptIntroduceDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.ConceptDetailFacade;
import com.diagbot.vo.ConceptIntroduceVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * <p>
 * 提示信息明细表 前端控制器
 * </p>
 *
 * @author zhaops
 * @since 2019-05-06
 */
@RestController
@RequestMapping("/conceptDetail")
@Api(value = "提示信息相关API", tags = { "知识库标准化-提示信息相关API" })
@SuppressWarnings("unchecked")
public class ConceptDetailController {
    @Autowired
    private ConceptDetailFacade conceptDetailFacade;

    @ApiOperation(value = "知识库标准化-获取提示信息[by:zhaops]",
            notes = "name: 标签名称，必填<br>" +
                    "libType：标签类型，必填<br>" +
                    "position：展示位置（1-推送展示，2-更多展示，3-一般治疗展示，4-手术治疗展示，5-药品说明书，6-不良反应，7-描述信息(智能分诊症状提示信息)），必填")
    @PostMapping("/getConceptDetail")
    @SysLogger("getConceptDetail")
    public RespDTO<ConceptIntroduceDTO> getConceptDetail(@Valid @RequestBody ConceptIntroduceVO conceptIntroduceVO) {
        ConceptIntroduceDTO data = conceptDetailFacade.getConceptDetail(conceptIntroduceVO);
        return RespDTO.onSuc(data);
    }
}